/**
 * ...
 * @author lafunk
 */

 
 function Bullet(x, y, vx, vy, damage) {
	this.image = new PIXI.Sprite.fromFrame("bullet.png");
	this.image.anchor.set(0.5);
	this.image.x = x;
	this.image.y = y;
	this.vx = vx;
	this.vy = vy;
	this.damage = damage;
	
	layers.main.addChild(this.image);
 }
 
 Bullet.prototype.remove = function() {
	gun.bulletList.splice(gun.bulletList.indexOf(this), 1);
	layers.main.removeChild(this.image);
 }
 
 Bullet.prototype.update = function() {
	this.image.x += this.vx;
	this.image.y += this.vy;
	
	if(this.image.x < -20) {
		this.remove();
	}
 }