/**
 * ...
 * @author lafunk
 */

var EVENT_MENU_OPENED = "menuOpened";
var EVENT_PART_BUILT = "partBuilt";
var EVENT_GUN_DRAG = "gunDrag";
var EVENT_GUN_SHOOT = "gunShoot";
var EVENT_SHOOT_MODE = "shootMode";
 
function Observer() {
	this.listenersList = [];
}

Observer.prototype.addListener = function(object) {
	this.listenersList.push(object);
}

Observer.prototype.event = function(type, args) {
	var i;
	for (i = 0; i < this.listenersList.length; i++) {
		var o = this.listenersList[i];
		o.event(type, args);
	}
}

	