function Bg() {
	this.tick = 0;
	var texture = PIXI.Texture.fromFrame("bg.png");
	this.bg = new PIXI.TilingSprite(texture, 332, screenManager.windowH);
	this.bg.x = screenManager.windowW - 332;
	
	layers.bg.addChild(this.bg);
	
	this.overlay = new PIXI.Sprite.fromImage("IMG/overlay.png"); 
	this.overlay.blendMode = PIXI.BLEND_MODES.OVERLAY;
	this.overlay.alpha = 0.3;
	layers.overlay.addChild(this.overlay);
	
	this.resize();
	
}

Bg.prototype.resize = function() {
	this.overlay.width = screenManager.windowW;
	this.bg.height = this.overlay.height = screenManager.windowH;
	
	this.bg.x = screenManager.windowW - 332;
};

Bg.prototype.update = function() {
	
};