/**
 * ...
 * @author laFunk
 */

function BulletCase(x, y) {
	this.image = new PIXI.Sprite.fromFrame("bulletCase.png");
	this.image.anchor.set(0.5);
	this.image.x = x;
	this.image.y = y;
	this.vx = 5 + Math.random() * 5;
	this.vy = -11 + Math.random() * 6;
	this.vr = 0.3 + Math.random();
	
	layers.main.addChild(this.image);
}
 
BulletCase.prototype.remove = function() {
	gun.bulletCaseList.splice(gun.bulletCaseList.indexOf(this), 1);
	layers.main.removeChild(this.image);
}
 
BulletCase.prototype.update = function() {
	this.image.x += this.vx;
	this.image.y += this.vy;
	this.image.rotation += this.vr;
	 
	this.vy += 0.8;
	
	if(this.image.y > screenManager.windowH || this.image.x > screenManager.windowW) {
		this.remove();
	}
} 
