function Input() {
	this.keydown = [];
	this.globalX = 0;
	this.globalY = 0;
	this.pressed = false;
	window.addEventListener("keydown", keydown);	
	window.addEventListener("keyup", keyup);
	window.addEventListener("mousedown", mousedown);
	window.addEventListener("mousemove", mousemove);
	window.addEventListener("mouseup", mouseup);
	//document.getElementsByTagName("canvas")[0].addEventListener("pointerdown", mousedown);	
	document.getElementsByTagName("canvas")[0].addEventListener("pointerup", mouseup);	
	document.getElementsByTagName("canvas")[0].addEventListener("pointermove", mousemove);	
	document.getElementsByTagName("canvas")[0].addEventListener("touchstart", mousedown);	
	document.getElementsByTagName("canvas")[0].addEventListener("touchend", mouseup);
	document.getElementsByTagName("canvas")[0].addEventListener("touchmove", mousemove);
	document.getElementsByTagName("canvas")[0].addEventListener("wheel", wheel);
	
	document.ontouchmove = function(e){ e.preventDefault(); }; //prevents window scrolling on mobile
}

function keydown(e) {
	if(!input.pressed) {
		input.pressed = true;
		switch(director.state) {
			case STATE_INIT:
				director.start();
				break;
			case STATE_TITLE:
				//director.goBuild();
				break;
			case STATE_COMPLETED:
				director.goShoot();
				break;
			case STATE_SHOOT:
				gun.shoot();
				break;
		}
	}
};

function keyup(e) {
	gun.currentBurst = 0;
	input.pressed = false;
	input.keydown[e.which] = false;
};

function wheel(e) {
	menu.scroll.scroll.y += e.deltaY * 0.5;
	menu.scroll.update();
}


function mousedown(e) {
	input.pressed = true;
	mousemove(e);
	
	switch(director.state) {
		case STATE_INIT:
			director.start();
			break;
		case STATE_CREATIVE:
			break;
		case STATE_TITLE:
			//director.goBuild();
			break;
		case STATE_COMPLETED:
			director.goShoot();
			break;
		case STATE_SHOOT:
			gun.shoot();
			break;
	}
}

function mouseup(e) {
	gun.currentBurst = 0;
	input.pressed = false;
}

function mousemove(e) {
	if(e.offsetX != null) {
		input.globalX = e.offsetX * screenManager.scale;
	}else if(e.pageX != null) {
		input.globalX = e.pageX * screenManager.scale;
	}
	
	if(e.offsetY != null) {
		input.globalY = e.offsetY * screenManager.scale;
	}else if(e.pageY != null) {
		input.globalY = e.pageY * screenManager.scale;
	}
};

function updateTouch(event) {
	var list = event.changedTouches;
	for(var i = 0; i < list.length; i ++) {
		
	}
};