/**
 * ...
 * @author lafunk
 */

function JsonHelper(_data) {
	this.data = _data;
}

JsonHelper.prototype.findAll = function(labels, values) {
	var i, j, len;
	var list = [];
	var ok = false;
	len = this.data.length;
	
	for (i = 0 ; i < len; i++) {
		ok = true;
		for (j = 0 ; j < labels.length; j++) {
			if (Array.isArray(this.data[i][labels[j]])) {
				if (this.data[i][labels[j]].indexOf(values[j]) == -1) ok = false;
			}else if (this.data[i][labels[j]] != values[j]) {
				ok = false;
			}
		}
		if (labels.length == 0) ok = true;
		if (ok) list.push(this.data[i]);
	}
	
	return list;
}

JsonHelper.prototype.findFirst = function(labels, values) {
	var i, j, len, l, v;
	var ok = true;
	len = this.data.length;
	
	for (i = 0 ; i < len; i++) {
		ok = true;
		for (j = 0 ; j < labels.length; j++) {
			l = this.data[i][labels[j]];
			v = values[j];
			if (l != v) ok = false;
		}
		if (ok) return this.data[i];
	}
	
	return null;
}

JsonHelper.prototype.findRandom = function(labels, values) {
	var list = findAll(labels, values);
	return list[MyUtils.rndInt(0, list.length - 1)];
}