/**
 * ...
 * @author laFunk
 */

function Muzzle(x, y) {
	this.image = new PIXI.Sprite.fromFrame("muzzle" + Math.round(Math.random() * 2 + 1) + ".png");
	this.image.x = x - this.image.width + 10;
	this.image.y = y - this.image.height * 0.5;
	this.life = 2;
	layers.main.addChild(this.image);
}

Muzzle.prototype.remove = function() {
	gun.muzzleList.splice(gun.muzzleList.indexOf(this), 1);
	layers.main.removeChild(this.image);
}

Muzzle.prototype.update = function() {
	this.life--;
	if(this.life <= 0) {
		this.remove();
	}
}