/**
 * ...
 * @author laFunk
 */

function SaveData() {
	this.data = new Object();
}

SaveData.prototype.load = function() {
	if($.cookie('level') != undefined) this.data.level = $.cookie('level');
	if($.cookie('music') != undefined) this.data.music = $.cookie('music');
	if($.cookie('sfx') != undefined) this.data.sfx = $.cookie('sfx');
	if($.cookie('shoots') != undefined) this.data.shoots = $.cookie('shoots');
	if($.cookie('achievements') != undefined) this.data.achievements = $.cookie('achievements');
	
	if(this.data.level != undefined) {
		director.currentLevel = this.data.level;
		director.selectedLevel = this.data.level;
		director.levelTxt.text = "LEVEL " + director.currentLevel;
	}
	if(this.data.shoots != undefined) director.bulletsFired = parseInt(this.data.shoots); 
	
	if(this.data.music != undefined && this.data.music == "false") settings.toggleMusic();
	if(this.data.sfx != undefined && this.data.sfx == "false") settings.toggleSfx();
	
	if(this.data.achievements != undefined) achievements.get = this.data.achievements;
}

SaveData.prototype.save = function() {
	this.data.level = director.currentLevel;
	this.data.music = settings.music;
	this.data.sfx = settings.sfx;
	this.data.shoots = director.bulletsFired;
	this.data.achievements = achievements.get;
	
	$.cookie("level",  this.data.level, { expires: 100 });
	$.cookie("music",  this.data.music, { expires: 100 });
	$.cookie("sfx",  this.data.sfx, { expires: 100 });
	$.cookie("shoots",  this.data.shoots, { expires: 100 });
	$.cookie("achievements", this.data.achievements, { expires: 100 });
}